View Javadoc

    1   package net.sourceforge.pmd.lang.rule.properties;
    2
    3   /**
    4    *
    5    * @author Brian Remedios
    6    * @param <T>
    7    */
    8   public abstract class AbstractMultiNumericProperty<T> extends AbstractNumericProperty<T> {
    9
    10      /**
    11       * Constructor for AbstractMultiNumericProperty.
    12       * @param theName String
    13       * @param theDescription String
    14       * @param lower Number
    15       * @param upper Number
    16       * @param theDefault T
    17       * @param theUIOrder float
    18       */
    19      protected AbstractMultiNumericProperty(String theName, String theDescription, Number lower, Number upper, T theDefault, float theUIOrder) {
    20          super(theName, theDescription, lower, upper, theDefault, theUIOrder);
    21      }
    22
    23      /**
    24       * @return boolean
    25       * @see net.sourceforge.pmd.PropertyDescriptor#isMultiValue()
    26       */
    27      @Override
    28      public boolean isMultiValue() {
    29          return true;
    30      }
    31
    32      /**
    33       * @return String
    34       */
    35      protected String defaultAsString() {
    36          return asDelimitedString(defaultValue());
    37      }
    38  }